Bug Hunting Session
Bug 125261 - Applying autocorrect to text with URLs causes Writer to hang
Summary: Applying autocorrect to text with URLs causes Writer to hang
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.5 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-05-13 12:26 UTC by Tim
Modified: 2019-05-16 16:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim 2019-05-13 12:26:52 UTC
Description:
When attempting to apply autocorrect to text that contains URLs to convert to hyperlinks (https://ask.libreoffice.org/en/question/6393/how-may-i-do-writer-recognize-hyperlinks-automatically/) causes Writer to stop responding requiring a force quit.

Steps to Reproduce:
1. Open a new Writer document.
2. Turn URL recognition on - Tools | Auto Correct | Auto correct options | Options tab
3. Insert text containing URLs (see below)
4. Set paragraph style to default
5. Apply auto correct - Tools | Auto Correct | Apply

Actual Results:
Libre Office hangs

Expected Results:
Auto correct applied, text urls converted to hyperlinks


Reproducible: Always


User Profile Reset: No



Additional Info:
Bug is evident in both deb and snap versions of LO, but not in earlier 5.x or 6.x series.

Sample test with URLs:
This webpage is and example of a url that should be able to be converted to a hyperlink <https://www.example.com/>. As is this page <http://www.example.org/> and this page <http://adjustment.example.com/aunt>.

These pages should also be able to be converted using the method linked to above <https://www.example.org/#brother>, <http://www.example.com/airport.php#blade>.

A typical use for a page like this would be a bibliography or reference list <http://www.example.com/>.

Bug confirmed to be upstream, see https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1828811
Comment 1 Xisco Faulí 2019-05-13 14:12:00 UTC Comment hidden (obsolete)
Comment 2 Timur 2019-05-13 14:20:05 UTC
Repro in Windows LO 6.2 64-bit and current 6.3+ 32-bit. No repro 6.1. So I'll confirm.
Not clear why Xisco wasn't able to reproduce.
Comment 3 Xisco Faulí 2019-05-13 14:25:44 UTC
Ok, I can reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: 630db80d17616d635cf2e5f1d5a0852428b794a3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

I didn't set the paragraph style to default...
Comment 4 Xisco Faulí 2019-05-13 14:38:29 UTC
Regression introduced by:

author	Michael Stahl <Michael.Stahl@cib.de>	2018-11-28 17:09:22 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2018-12-07 13:08:58 +0100
commit	938f8a6b387828b8c18819184c47a5245bdfac8a (patch)
tree	df6c9c2c7e9e4223e1f88e6fb946e4302d1aaae9
parent	4cf5a46f16dec8ce16c6662ce5c17903e28b8fa3 (diff)
sw_redlinehide_4a: SwAutoFormat::AutoCorrect()

Bisected with: bibisect-linux64-6.2

Adding Cc: to Michael Stahl
Comment 5 Commit Notification 2019-05-14 13:52:17 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/afb566b6d3b15b013007a71efe0949800aa22666%5E%21

tdf#125261 sw_redlinehide: fix inf. loop in SwAutoFormat::AutoCorrect()

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2019-05-14 13:53:30 UTC
fixed on master
Comment 7 Commit Notification 2019-05-15 07:26:30 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b25317070ed36cc1c1e588871b4dd7e77d0a7f49%5E%21

tdf#125261 sw_redlinehide: fix inf. loop in SwAutoFormat::AutoCorrect()

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-05-15 13:53:01 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: a3e649c3384d19a5ad540c3d65d5f79b66fd9090
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 9 Commit Notification 2019-05-15 20:54:26 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9551a1ed54fc8131b52ee58114398924196313fd%5E%21

uitest for bug tdf#125261

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-05-16 16:40:09 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-4":

https://git.libreoffice.org/core/+/3a93e29c601078970fb6b2b27d3d9865a93ad4ad%5E%21

tdf#125261 sw_redlinehide: fix inf. loop in SwAutoFormat::AutoCorrect()

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.